%global modulescope @babel
%global modulename @babel/generator

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-babel-generator
Version:        7.1.6
Release:        1%{?dist}
Summary:        Turns an AST into code.

License:        MIT
URL:            https://babeljs.io/
Source0:        https://registry.npmjs.org/@babel/generator/-/generator-7.1.6.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(@babel/types) >= 7.1.6 with npmlib(@babel/types) < 8.0.0))
BuildRequires:  ((npmlib(jsesc) >= 2.5.1 with npmlib(jsesc) < 3.0.0))
BuildRequires:  ((npmlib(lodash) >= 4.17.10 with npmlib(lodash) < 5.0.0))
BuildRequires:  ((npmlib(source-map) >= 0.5.0 with npmlib(source-map) < 0.6.0))
BuildRequires:  ((npmlib(trim-right) >= 1.0.1 with npmlib(trim-right) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Turns an AST into code.

%package 7.1.6
Summary:        Turns an AST into code.


%description 7.1.6
Turns an AST into code.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
mkdir %{buildroot}%{nodejs_dir}/%{modulescope}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}
%dir %{nodejs_dir}/%{modulescope}

%files 7.1.6
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/
%dir %{npmlib_dir}/%{modulescope}

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 7.1.6-1
- Package automatically generated by npm2srpm
